# Uses of Enum Class
com.logicaldoc.core.security.user.UserEvent

Packages that use UserEvent
Package
Description
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of UserEvent in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that return UserEvent
Modifier and Type
Method
Description
`static UserEvent`
UserEvent.`fromKey(String key)`
Gets the right enumeration entry from the corresponding resource bundle key
`UserEvent`
UserHistory.`getEventEnum()`
`static UserEvent`
UserEvent.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UserEvent[]`
UserEvent.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.security.user with parameters of type UserEvent
Modifier and Type
Method
Description
`UserHistory`
HibernateUserHistoryDAO.`createUserHistory(User user, UserEvent eventType, String comment, String sessionId, Client client)`
`UserHistory`
UserHistoryDAO.`createUserHistory(User user, UserEvent event, String comment, String sessionId, Client client)`
Creates an user history entry
`void`
UserHistory.`setEvent(UserEvent event)`